summaryrefslogtreecommitdiffstats
path: root/test/integration/targets/retry_task_name_in_callback/runme.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/targets/retry_task_name_in_callback/runme.sh')
-rwxr-xr-xtest/integration/targets/retry_task_name_in_callback/runme.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/integration/targets/retry_task_name_in_callback/runme.sh b/test/integration/targets/retry_task_name_in_callback/runme.sh
new file mode 100755
index 0000000..5f636cd
--- /dev/null
+++ b/test/integration/targets/retry_task_name_in_callback/runme.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+set -eux
+
+# we are looking to verify the callback for v2_retry_runner gets a correct task name, include
+# if the value needs templating based on results of previous tasks
+OUTFILE="callback_retry_task_name.out"
+trap 'rm -rf "${OUTFILE}"' EXIT
+
+EXPECTED_REGEX="^.*TASK.*18236 callback task template fix OUTPUT 2"
+ansible-playbook "$@" -i ../../inventory test.yml | tee "${OUTFILE}"
+echo "Grepping for ${EXPECTED_REGEX} in stdout."
+grep -e "${EXPECTED_REGEX}" "${OUTFILE}"